<HTML>
<BODY BGCOLOR="white">
<PRE>
<FONT color="green">001</FONT>    /*<a name="line.1"></a>
<FONT color="green">002</FONT>     * =============================================================================<a name="line.2"></a>
<FONT color="green">003</FONT>     * Simplified BSD License, see http://www.opensource.org/licenses/<a name="line.3"></a>
<FONT color="green">004</FONT>     * -----------------------------------------------------------------------------<a name="line.4"></a>
<FONT color="green">005</FONT>     * Copyright (c) 2008-2009, Marco Terzer, Zurich, Switzerland<a name="line.5"></a>
<FONT color="green">006</FONT>     * All rights reserved.<a name="line.6"></a>
<FONT color="green">007</FONT>     * <a name="line.7"></a>
<FONT color="green">008</FONT>     * Redistribution and use in source and binary forms, with or without <a name="line.8"></a>
<FONT color="green">009</FONT>     * modification, are permitted provided that the following conditions are met:<a name="line.9"></a>
<FONT color="green">010</FONT>     * <a name="line.10"></a>
<FONT color="green">011</FONT>     *     * Redistributions of source code must retain the above copyright notice, <a name="line.11"></a>
<FONT color="green">012</FONT>     *       this list of conditions and the following disclaimer.<a name="line.12"></a>
<FONT color="green">013</FONT>     *     * Redistributions in binary form must reproduce the above copyright <a name="line.13"></a>
<FONT color="green">014</FONT>     *       notice, this list of conditions and the following disclaimer in the <a name="line.14"></a>
<FONT color="green">015</FONT>     *       documentation and/or other materials provided with the distribution.<a name="line.15"></a>
<FONT color="green">016</FONT>     *     * Neither the name of the Swiss Federal Institute of Technology Zurich <a name="line.16"></a>
<FONT color="green">017</FONT>     *       nor the names of its contributors may be used to endorse or promote <a name="line.17"></a>
<FONT color="green">018</FONT>     *       products derived from this software without specific prior written <a name="line.18"></a>
<FONT color="green">019</FONT>     *       permission.<a name="line.19"></a>
<FONT color="green">020</FONT>     * <a name="line.20"></a>
<FONT color="green">021</FONT>     * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" <a name="line.21"></a>
<FONT color="green">022</FONT>     * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE <a name="line.22"></a>
<FONT color="green">023</FONT>     * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE <a name="line.23"></a>
<FONT color="green">024</FONT>     * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE <a name="line.24"></a>
<FONT color="green">025</FONT>     * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR <a name="line.25"></a>
<FONT color="green">026</FONT>     * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF <a name="line.26"></a>
<FONT color="green">027</FONT>     * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS <a name="line.27"></a>
<FONT color="green">028</FONT>     * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN <a name="line.28"></a>
<FONT color="green">029</FONT>     * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) <a name="line.29"></a>
<FONT color="green">030</FONT>     * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE <a name="line.30"></a>
<FONT color="green">031</FONT>     * POSSIBILITY OF SUCH DAMAGE.<a name="line.31"></a>
<FONT color="green">032</FONT>     * =============================================================================<a name="line.32"></a>
<FONT color="green">033</FONT>     */<a name="line.33"></a>
<FONT color="green">034</FONT>    package ch.javasoft.jbase.marshal;<a name="line.34"></a>
<FONT color="green">035</FONT>    <a name="line.35"></a>
<FONT color="green">036</FONT>    import java.io.DataInput;<a name="line.36"></a>
<FONT color="green">037</FONT>    import java.io.DataOutput;<a name="line.37"></a>
<FONT color="green">038</FONT>    import java.io.IOException;<a name="line.38"></a>
<FONT color="green">039</FONT>    <a name="line.39"></a>
<FONT color="green">040</FONT>    import ch.javasoft.jbase.FixedWidthMarshaller;<a name="line.40"></a>
<FONT color="green">041</FONT>    import ch.javasoft.jbase.FixedWidthTable;<a name="line.41"></a>
<FONT color="green">042</FONT>    <a name="line.42"></a>
<FONT color="green">043</FONT>    /**<a name="line.43"></a>
<FONT color="green">044</FONT>     * This class contains constant {@link FixedWidthMarshaller} instances for <a name="line.44"></a>
<FONT color="green">045</FONT>     * all Java primitive data types. Note that one row (entity) corresponds to<a name="line.45"></a>
<FONT color="green">046</FONT>     * a single primitive value. Alternatively, {@link PrimitiveArrayMarshallers}<a name="line.46"></a>
<FONT color="green">047</FONT>     * contains marshallers for arrays of primitive types.<a name="line.47"></a>
<FONT color="green">048</FONT>     * &lt;p&gt;<a name="line.48"></a>
<FONT color="green">049</FONT>     * The constants of this class can be used as marshallers with a <a name="line.49"></a>
<FONT color="green">050</FONT>     * {@link FixedWidthTable}.<a name="line.50"></a>
<FONT color="green">051</FONT>     */<a name="line.51"></a>
<FONT color="green">052</FONT>    public class PrimitiveMarshallers {<a name="line.52"></a>
<FONT color="green">053</FONT>    <a name="line.53"></a>
<FONT color="green">054</FONT>            public static final FixedWidthMarshaller&lt;Byte&gt; BYTE = new FixedWidthMarshaller&lt;Byte&gt;() {<a name="line.54"></a>
<FONT color="green">055</FONT>                    public void writeTo(Byte entity, DataOutput out) throws IOException {<a name="line.55"></a>
<FONT color="green">056</FONT>                            out.writeByte(entity.byteValue());<a name="line.56"></a>
<FONT color="green">057</FONT>                    }<a name="line.57"></a>
<FONT color="green">058</FONT>                    public Byte readFrom(DataInput in) throws IOException {<a name="line.58"></a>
<FONT color="green">059</FONT>                            return Byte.valueOf(in.readByte());<a name="line.59"></a>
<FONT color="green">060</FONT>                    }<a name="line.60"></a>
<FONT color="green">061</FONT>                    public int getByteWidth() {return 1;}<a name="line.61"></a>
<FONT color="green">062</FONT>            };<a name="line.62"></a>
<FONT color="green">063</FONT>            public static final FixedWidthMarshaller&lt;Short&gt; SHORT = new FixedWidthMarshaller&lt;Short&gt;() {<a name="line.63"></a>
<FONT color="green">064</FONT>                    public void writeTo(Short entity, DataOutput out) throws IOException {<a name="line.64"></a>
<FONT color="green">065</FONT>                            out.writeInt(entity.shortValue());<a name="line.65"></a>
<FONT color="green">066</FONT>                    }<a name="line.66"></a>
<FONT color="green">067</FONT>                    public Short readFrom(DataInput in) throws IOException {<a name="line.67"></a>
<FONT color="green">068</FONT>                            return Short.valueOf(in.readShort());<a name="line.68"></a>
<FONT color="green">069</FONT>                    }<a name="line.69"></a>
<FONT color="green">070</FONT>                    public int getByteWidth() {return 2;}<a name="line.70"></a>
<FONT color="green">071</FONT>            };<a name="line.71"></a>
<FONT color="green">072</FONT>            public static final FixedWidthMarshaller&lt;Integer&gt; INTEGER = new FixedWidthMarshaller&lt;Integer&gt;() {<a name="line.72"></a>
<FONT color="green">073</FONT>                    public void writeTo(Integer entity, DataOutput out) throws IOException {<a name="line.73"></a>
<FONT color="green">074</FONT>                            out.writeInt(entity.intValue());<a name="line.74"></a>
<FONT color="green">075</FONT>                    }<a name="line.75"></a>
<FONT color="green">076</FONT>                    public Integer readFrom(DataInput in) throws IOException {<a name="line.76"></a>
<FONT color="green">077</FONT>                            return Integer.valueOf(in.readInt());<a name="line.77"></a>
<FONT color="green">078</FONT>                    }<a name="line.78"></a>
<FONT color="green">079</FONT>                    public int getByteWidth() {return 4;}<a name="line.79"></a>
<FONT color="green">080</FONT>            };<a name="line.80"></a>
<FONT color="green">081</FONT>            public static final FixedWidthMarshaller&lt;Long&gt; LONG = new FixedWidthMarshaller&lt;Long&gt;() {<a name="line.81"></a>
<FONT color="green">082</FONT>                    public void writeTo(Long entity, DataOutput out) throws IOException {<a name="line.82"></a>
<FONT color="green">083</FONT>                            out.writeLong(entity.longValue());<a name="line.83"></a>
<FONT color="green">084</FONT>                    }<a name="line.84"></a>
<FONT color="green">085</FONT>                    public Long readFrom(DataInput in) throws IOException {<a name="line.85"></a>
<FONT color="green">086</FONT>                            return Long.valueOf(in.readLong());<a name="line.86"></a>
<FONT color="green">087</FONT>                    }<a name="line.87"></a>
<FONT color="green">088</FONT>                    public int getByteWidth() {return 8;}<a name="line.88"></a>
<FONT color="green">089</FONT>            };<a name="line.89"></a>
<FONT color="green">090</FONT>            public static final FixedWidthMarshaller&lt;Float&gt; FLOAT = new FixedWidthMarshaller&lt;Float&gt;() {<a name="line.90"></a>
<FONT color="green">091</FONT>                    public void writeTo(Float entity, DataOutput out) throws IOException {<a name="line.91"></a>
<FONT color="green">092</FONT>                            out.writeFloat(entity.floatValue());<a name="line.92"></a>
<FONT color="green">093</FONT>                    }<a name="line.93"></a>
<FONT color="green">094</FONT>                    public Float readFrom(DataInput in) throws IOException {<a name="line.94"></a>
<FONT color="green">095</FONT>                            return Float.valueOf(in.readFloat());<a name="line.95"></a>
<FONT color="green">096</FONT>                    }<a name="line.96"></a>
<FONT color="green">097</FONT>                    public int getByteWidth() {return 4;}<a name="line.97"></a>
<FONT color="green">098</FONT>            };<a name="line.98"></a>
<FONT color="green">099</FONT>            public static final FixedWidthMarshaller&lt;Double&gt; DOUBLE = new FixedWidthMarshaller&lt;Double&gt;() {<a name="line.99"></a>
<FONT color="green">100</FONT>                    public void writeTo(Double entity, DataOutput out) throws IOException {<a name="line.100"></a>
<FONT color="green">101</FONT>                            out.writeDouble(entity.doubleValue());<a name="line.101"></a>
<FONT color="green">102</FONT>                    }<a name="line.102"></a>
<FONT color="green">103</FONT>                    public Double readFrom(DataInput in) throws IOException {<a name="line.103"></a>
<FONT color="green">104</FONT>                            return Double.valueOf(in.readDouble());<a name="line.104"></a>
<FONT color="green">105</FONT>                    }<a name="line.105"></a>
<FONT color="green">106</FONT>                    public int getByteWidth() {return 8;}<a name="line.106"></a>
<FONT color="green">107</FONT>            };<a name="line.107"></a>
<FONT color="green">108</FONT>            public static final FixedWidthMarshaller&lt;Boolean&gt; BOOLEAN = new FixedWidthMarshaller&lt;Boolean&gt;() {<a name="line.108"></a>
<FONT color="green">109</FONT>                    public void writeTo(Boolean entity, DataOutput out) throws IOException {<a name="line.109"></a>
<FONT color="green">110</FONT>                            out.writeBoolean(entity.booleanValue());<a name="line.110"></a>
<FONT color="green">111</FONT>                    }<a name="line.111"></a>
<FONT color="green">112</FONT>                    public Boolean readFrom(DataInput in) throws IOException {<a name="line.112"></a>
<FONT color="green">113</FONT>                            return Boolean.valueOf(in.readBoolean());<a name="line.113"></a>
<FONT color="green">114</FONT>                    }<a name="line.114"></a>
<FONT color="green">115</FONT>                    public int getByteWidth() {return 1;}<a name="line.115"></a>
<FONT color="green">116</FONT>            };<a name="line.116"></a>
<FONT color="green">117</FONT>            public static final FixedWidthMarshaller&lt;Character&gt; CHARACTER = new FixedWidthMarshaller&lt;Character&gt;() {<a name="line.117"></a>
<FONT color="green">118</FONT>                    public void writeTo(Character entity, DataOutput out) throws IOException {<a name="line.118"></a>
<FONT color="green">119</FONT>                            out.writeChar(entity.charValue());<a name="line.119"></a>
<FONT color="green">120</FONT>                    }<a name="line.120"></a>
<FONT color="green">121</FONT>                    public Character readFrom(DataInput in) throws IOException {<a name="line.121"></a>
<FONT color="green">122</FONT>                            return Character.valueOf(in.readChar());<a name="line.122"></a>
<FONT color="green">123</FONT>                    }<a name="line.123"></a>
<FONT color="green">124</FONT>                    public int getByteWidth() {return 2;}<a name="line.124"></a>
<FONT color="green">125</FONT>            };<a name="line.125"></a>
<FONT color="green">126</FONT>            <a name="line.126"></a>
<FONT color="green">127</FONT>            // no instances<a name="line.127"></a>
<FONT color="green">128</FONT>            private PrimitiveMarshallers() {}<a name="line.128"></a>
<FONT color="green">129</FONT>    }<a name="line.129"></a>




























































</PRE>
</BODY>
</HTML>
